Does licode work with Ubuntu 16.04 or latest 18.04?


#1

I trying to install Licode from source by following this official website. But it dosn’ t run. After some tweaks i’m able to install but couldn’t run on Ubuntu 18.04. It gives following errror.

Checking dir /mnt/repos/licode/build/libdeps/nvm

Running nvm
Installing controller… /mnt/repos/licode/./scripts/…/erizo_controller /mnt/repos/licode/./scripts/initLicode.sh
Checking dir /mnt/repos/licode/build/libdeps/nvm
Running nvm
Found ‘/mnt/repos/licode/.nvmrc’ with version <6.9.2>
Now using node v6.9.2 (npm v3.10.9)
Checking dir /mnt/repos/licode/build/libdeps/nvm
Running nvm
module.js:471
throw err;
^

Error: Cannot find module ‘uuid/v4’
at Function.Module._resolveFilename (module.js:469:15)
at Function.Module._load (module.js:417:25)
at Module.require (module.js:497:17)
at require (internal/module.js:20:19)
at Object. (/mnt/repos/licode/erizo_controller/erizoController/models/Client.js:3:16)
at Module._compile (module.js:570:32)
at Object.Module._extensions…js (module.js:579:10)
at Module.load (module.js:487:32)
at tryModuleLoad (module.js:446:12)
at Function.Module._load (module.js:438:3)
Found ‘/mnt/repos/licode/.nvmrc’ with version <6.9.2>
Now using node v6.9.2 (npm v3.10.9)
[licode] Done, run ./scripts/initBasicExample.sh
2018-05-05 05:55:50.586 - INFO: ErizoAgent - message: launched new ErizoJS, erizoId: 0f6ba29b-4a2b-677e-88c9-7a5aa5a66a1e
[erizo-0f6ba29b-4a2b-677e-88c9-7a5aa5a66a1e] module.js:471
throw err;
^

Error: Cannot find module ‘./…/…/rtp_media_config’
at Function.Module._resolveFilename (module.js:469:15)
at Function.Module._load (module.js:417:25)
at Module.require (module.js:497:17)
at require (internal/module.js:20:19)
at Object. (/mnt/repos/licode/erizo_controller/erizoJS/erizoJS.js:6:19)
at Module._compile (module.js:570:32)
at Object.Module._extensions…js (module.js:579:10)
at Module.load (module.js:487:32)
at tryModuleLoad (module.js:446:12)
at Function.Module._load (module.js:438:3)
2018-05-05 05:55:50.630 - INFO: ErizoAgent - message: closed, erizoId: 0f6ba29b-4a2b-677e-88c9-7a5aa5a66a1e
2018-05-05 05:55:50.632 - INFO: ErizoAgent - message: launched new ErizoJS, erizoId: 970b3002-d527-cfda-67e7-6150fb466518
[erizo-970b3002-d527-cfda-67e7-6150fb466518] module.js:471
throw err;


#2

Ubuntu 14.04 is officially supported and with a little customization it also works well on 16.04. I’ve not tested 18.04.


#3

Thanks,
I tried with both version, with little tweak I’s able to compile on 16, but couldn’t do it on 18.